org.apache.felix.resolver.reason

## Class ReasonException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.osgi.service.resolver.ResolutionException
      - - org.apache.felix.resolver.reason.ReasonException

All Implemented Interfaces:
  Serializable

    public class ReasonException
    extends ResolutionException

An exception that holds the reason for a resolution failure.

See Also:
  `ResolutionException}`, Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ReasonException.Reason` The reasons for resolution failure.

### Constructor Summary

Constructors
Constructor and Description
`ReasonException(ReasonException.Reason reason, String message, Throwable cause, Collection<org.osgi.resource.Requirement> unresolvedRequirements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReasonException.Reason` `getReason()`

### Methods inherited from class org.osgi.service.resolver.ResolutionException

`getUnresolvedRequirements`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReasonException

    public ReasonException(ReasonException.Reason reason,
                           String message,
                           Throwable cause,
                           Collection<org.osgi.resource.Requirement> unresolvedRequirements)

### Method Detail

#### getReason

    public ReasonException.Reason getReason()